Bug 1232226 - Review Request: golang-github-go-mgo-mgo - The MongoDB driver for Go
Summary: Review Request: golang-github-go-mgo-mgo - The MongoDB driver for Go
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-16 10:21 UTC by Marek Skalický
Modified: 2019-02-28 12:12 UTC (History)
3 users (show)

Fixed In Version: golang-github-go-mgo-mgo-0-0.1.git3569c88.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-28 12:12:22 UTC
jchaloup: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Skalický 2015-06-16 10:21:46 UTC
Spec URL: https://mskalick.fedorapeople.org/reviews/golang-github-go-mgo-mgo/golang-github-go-mgo-mgo.spec

SRPM URL: https://mskalick.fedorapeople.org/reviews/golang-github-go-mgo-mgo/golang-github-go-mgo-mgo-0-0.1.git3569c88.fc20.src.rpm

Description: The MongoDB driver for Go

Fedora Account System Username: mskalick

Koji: it depends on bz#1232221 which is under review. Locally it builds fine.

$ rpmlint /home/mskalick/rpmbuild/SRPMS/golang-github-go-mgo-mgo-0-0.1.git3569c88.fc20.src.rpm /home/mskalick/rpmbuild/RPMS/noarch/golang-github-go-mgo-mgo-devel-0-0.1.git3569c88.fc20.noarch.rpm
golang-github-go-mgo-mgo-devel.noarch: W: pem-certificate /usr/share/gocode/src/gopkg.in/v2/mgo/testdb/client.pem
golang-github-go-mgo-mgo-devel.noarch: W: pem-certificate /usr/share/gocode/src/gopkg.in/mgo.v2/testdb/client.pem
golang-github-go-mgo-mgo-devel.noarch: W: pem-certificate /usr/share/gocode/src/gopkg.in/mgo.v2/testdb/server.pem
golang-github-go-mgo-mgo-devel.noarch: W: pem-certificate /usr/share/gocode/src/gopkg.in/v2/mgo/testdb/server.pem
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 1 Jan Chaloupka 2015-06-16 12:09:53 UTC
Summary:
- all Provides and BRs correct
- license correct and valid
- only source codes provided (devel subpackage)
- devel subpackage provides both variants of import path prefix

Specfile conforms to current packaging draft [1].

[1] https://fedoraproject.org/wiki/PackagingDrafts/Go

Comment 2 Jan Chaloupka 2015-06-16 12:18:03 UTC
New Package SCM Request
=======================
Package Name: golang-github-go-mgo-mgo
Short Description: The MongoDB driver for Go
Upstream URL: https://github.com/go-mgo/mgo
Owners: jchaloup mskalick
Branches: f22 f21 f20 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-06-16 14:00:28 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-06-17 18:22:05 UTC
golang-github-go-mgo-mgo-0-0.1.git3569c88.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-go-mgo-mgo-0-0.1.git3569c88.fc22

Comment 5 Fedora Update System 2015-06-17 18:23:36 UTC
golang-github-go-mgo-mgo-0-0.1.git3569c88.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-go-mgo-mgo-0-0.1.git3569c88.fc21

Comment 6 Fedora Update System 2015-06-17 18:23:51 UTC
golang-github-go-mgo-mgo-0-0.1.git3569c88.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-go-mgo-mgo-0-0.1.git3569c88.el6

Comment 7 Fedora Update System 2015-06-20 21:16:17 UTC
golang-github-go-mgo-mgo-0-0.1.git3569c88.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2015-06-30 00:13:46 UTC
golang-github-go-mgo-mgo-0-0.1.git3569c88.fc22 has been pushed to the Fedora 22 stable repository.

Comment 9 Fedora Update System 2015-06-30 00:15:43 UTC
golang-github-go-mgo-mgo-0-0.1.git3569c88.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2015-07-08 17:03:25 UTC
golang-github-go-mgo-mgo-0-0.1.git3569c88.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2016-01-27 12:06:42 UTC
golang-github-go-mgo-mgo-0-0.3.gite30de8a.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9658cdb34c

Comment 12 Fedora Update System 2016-01-28 22:26:37 UTC
golang-github-go-mgo-mgo-0-0.3.gite30de8a.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9658cdb34c

Comment 13 Kamil Páral 2019-02-28 12:12:22 UTC
The package is in Fedora, I believe this should be closed.


Note You need to log in before you can comment on or make changes to this bug.